Bug 460900 - ldconfig complains about /usr/lib64/libmodbc.so.0 not being a symlink
ldconfig complains about /usr/lib64/libmodbc.so.0 not being a symlink
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postgresql-odbcng (Show other bugs)
10
All Linux
high Severity medium
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
: Triaged
: 486261 502198 507979 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 10:36 EDT by Karsten Hopp
Modified: 2009-11-30 23:29 EST (History)
7 users (show)

See Also:
Fixed In Version: 0.90.101-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 23:29:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2008-09-02 10:36:03 EDT
Description of problem:
/usr/lib64/libmodbc.so.0 is supposed to be a symlink to /usr/lib64/libmodbc.so.0.0.0, but currently is file with the same size instead.


Version-Release number of selected component (if applicable):
postgresql-odbcng-0.90.101-2.fc10.x86_64

How reproducible:
always


Steps to Reproduce:
1. install postgresql-odbcng on an x86_64 machine
2. run ldconfig or update any other library package
3.
  
Actual results:
Aktualisieren  : glibc                                       [ 192/3150] 
/sbin/ldconfig: /usr/lib64/libmodbc.so.0 ist kein symbolischer Link

Expected results:
no output 

This will mess up any update logs with lots of ldconfig messages when you try to update from an older version to F10
Comment 1 Bruno Wolff III 2008-09-15 22:55:35 EDT
I have been seeing this myself for a while. I finally decided to open a bug for it and see that someone else has already reported it. I see it on i386 as well as x86_64 systems.
Comment 2 john5342 2008-11-18 08:54:31 EST
This bug has been triaged
Comment 3 Bug Zapper 2008-11-25 21:56:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Schwendt 2009-03-11 15:24:09 EDT
*** Bug 486261 has been marked as a duplicate of this bug. ***
Comment 5 Douglas Boffey 2009-05-20 12:17:29 EDT
Also happens in postgresql-odbcng-0.99.101-0.1.test1.fc11.i586.rpm

The file lengths are different:

libmodbc.so: 170260
libmodbc.so.0: 170260
libmodbc.so.0.0.0: 170264
Comment 6 Bug Zapper 2009-11-18 02:49:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Michael Schwendt 2009-11-18 03:42:06 EST
*** Bug 502198 has been marked as a duplicate of this bug. ***
Comment 8 Michael Schwendt 2009-11-18 03:42:27 EST
*** Bug 507979 has been marked as a duplicate of this bug. ***
Comment 9 Fedora Update System 2009-11-18 04:19:32 EST
postgresql-odbcng-0.99.101-0.4.test1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/postgresql-odbcng-0.99.101-0.4.test1.fc11
Comment 10 Michael Schwendt 2009-11-18 04:21:53 EST
Fix committed to devel, F-12, F-11 and F-10.
Original bug reported over a year ago. Several duplicates since then.
Comment 11 Oliver Falk 2009-11-18 04:22:24 EST
*** Bug 529834 has been marked as a duplicate of this bug. ***
Comment 12 Oliver Falk 2009-11-18 04:23:54 EST
Michael. You're going to fix this for EL-5 as well I hope!?
Comment 13 Fedora Update System 2009-11-30 23:21:35 EST
postgresql-odbcng-0.99.101-0.4.test1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-11-30 23:25:15 EST
postgresql-odbcng-0.99.101-0.4.test1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-11-30 23:29:51 EST
postgresql-odbcng-0.90.101-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.